diff --git a/include/ieee1516-2010/RTI/FederateAmbassador.h b/include/ieee1516-2010/RTI/FederateAmbassador.h
index 7dd55bd3..bd8ed0c4 100644
--- a/include/ieee1516-2010/RTI/FederateAmbassador.h
+++ b/include/ieee1516-2010/RTI/FederateAmbassador.h
@@ -32,123 +32,85 @@ namespace rti1516e
    class RTI_EXPORT FederateAmbassador
    {
    protected:
-      FederateAmbassador ()
-         throw (
-            FederateInternalError);
+      FederateAmbassador ();
 
    public:
       virtual ~FederateAmbassador ()
-         throw () = 0;
+         noexcept = 0;
 
       // 4.4
       virtual void connectionLost (
-         std::wstring const & faultDescription)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & faultDescription) = 0;
 
       // 4.8
       virtual void reportFederationExecutions (
          FederationExecutionInformationVector const &
-         theFederationExecutionInformationList)
-         throw (
-            FederateInternalError) = 0;
+         theFederationExecutionInformationList) = 0;
 
       // 4.12
       virtual void synchronizationPointRegistrationSucceeded (
-         std::wstring const & label)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & label) = 0;
 
       virtual void synchronizationPointRegistrationFailed (
          std::wstring const & label,
-         SynchronizationPointFailureReason reason)
-         throw (
-            FederateInternalError) = 0;
+         SynchronizationPointFailureReason reason) = 0;
 
       // 4.13
       virtual void announceSynchronizationPoint (
          std::wstring  const & label,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            FederateInternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 4.15
       virtual void federationSynchronized (
          std::wstring const & label,
-         FederateHandleSet const& failedToSyncSet)
-         throw (
-            FederateInternalError) = 0;
+         FederateHandleSet const& failedToSyncSet) = 0;
 
       // 4.17
       virtual void initiateFederateSave (
-         std::wstring const & label)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & label) = 0;
 
       virtual void initiateFederateSave (
          std::wstring const & label,
-         LogicalTime const & theTime)
-         throw (
-            FederateInternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 4.20
-      virtual void federationSaved ()
-         throw (
-            FederateInternalError) = 0;
+      virtual void federationSaved () = 0;
 
       virtual void federationNotSaved (
-         SaveFailureReason theSaveFailureReason)
-         throw (
-            FederateInternalError) = 0;
+         SaveFailureReason theSaveFailureReason) = 0;
 
 
       // 4.23
       virtual void federationSaveStatusResponse (
          FederateHandleSaveStatusPairVector const &
-         theFederateStatusVector)
-         throw (
-            FederateInternalError) = 0;
+         theFederateStatusVector) = 0;
 
       // 4.25
       virtual void requestFederationRestoreSucceeded (
-         std::wstring const & label)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & label) = 0;
 
       virtual void requestFederationRestoreFailed (
-         std::wstring const & label)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & label) = 0;
 
       // 4.26
-      virtual void federationRestoreBegun ()
-         throw (
-            FederateInternalError) = 0;
+      virtual void federationRestoreBegun () = 0;
 
       // 4.27
       virtual void initiateFederateRestore (
          std::wstring const & label,
          std::wstring const & federateName,
-         FederateHandle handle)
-         throw (
-            FederateInternalError) = 0;
+         FederateHandle handle) = 0;
 
       // 4.29
-      virtual void federationRestored ()
-         throw (
-            FederateInternalError) = 0;
+      virtual void federationRestored () = 0;
 
       virtual void federationNotRestored (
-         RestoreFailureReason theRestoreFailureReason)
-         throw (
-            FederateInternalError) = 0;
+         RestoreFailureReason theRestoreFailureReason) = 0;
 
       // 4.32
       virtual void federationRestoreStatusResponse (
          FederateRestoreStatusVector const &
-         theFederateRestoreStatusVector)
-         throw (
-            FederateInternalError) = 0;
+         theFederateRestoreStatusVector) = 0;
 
       /////////////////////////////////////
       // Declaration Management Services //
@@ -156,27 +118,19 @@ namespace rti1516e
 
       // 5.10
       virtual void startRegistrationForObjectClass (
-         ObjectClassHandle theClass)
-         throw (
-            FederateInternalError) = 0;
+         ObjectClassHandle theClass) = 0;
 
       // 5.11
       virtual void stopRegistrationForObjectClass (
-         ObjectClassHandle theClass)
-         throw (
-            FederateInternalError) = 0;
+         ObjectClassHandle theClass) = 0;
 
       // 5.12
       virtual void turnInteractionsOn (
-         InteractionClassHandle theHandle)
-         throw (
-            FederateInternalError) = 0;
+         InteractionClassHandle theHandle) = 0;
 
       // 5.13
       virtual void turnInteractionsOff (
-         InteractionClassHandle theHandle)
-         throw (
-            FederateInternalError) = 0;
+         InteractionClassHandle theHandle) = 0;
 
       ////////////////////////////////
       // Object Management Services //
@@ -184,42 +138,30 @@ namespace rti1516e
 
       // 6.3
       virtual void objectInstanceNameReservationSucceeded (
-         std::wstring const & theObjectInstanceName)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       virtual void objectInstanceNameReservationFailed (
-         std::wstring const & theObjectInstanceName)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       // 6.6
       virtual void multipleObjectInstanceNameReservationSucceeded (
-         std::set<std::wstring> const & theObjectInstanceNames)
-         throw (
-            FederateInternalError) = 0;
+         std::set<std::wstring> const & theObjectInstanceNames) = 0;
 
       virtual void multipleObjectInstanceNameReservationFailed (
-         std::set<std::wstring> const & theObjectInstanceNames)
-         throw (
-            FederateInternalError) = 0;
+         std::set<std::wstring> const & theObjectInstanceNames) = 0;
 
 
       // 6.9
       virtual void discoverObjectInstance (
          ObjectInstanceHandle theObject,
          ObjectClassHandle theObjectClass,
-         std::wstring const & theObjectInstanceName)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       virtual void discoverObjectInstance (
          ObjectInstanceHandle theObject,
          ObjectClassHandle theObjectClass,
          std::wstring const & theObjectInstanceName,
-         FederateHandle producingFederate)
-         throw (
-            FederateInternalError) = 0;
+         FederateHandle producingFederate) = 0;
 
       // 6.11
       virtual void reflectAttributeValues (
@@ -228,9 +170,7 @@ namespace rti1516e
          VariableLengthData const & theUserSuppliedTag,
          OrderType sentOrder,
          TransportationType theType,
-         SupplementalReflectInfo theReflectInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReflectInfo theReflectInfo) = 0;
 
       virtual void reflectAttributeValues (
          ObjectInstanceHandle theObject,
@@ -240,9 +180,7 @@ namespace rti1516e
          TransportationType theType,
          LogicalTime const & theTime,
          OrderType receivedOrder,
-         SupplementalReflectInfo theReflectInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReflectInfo theReflectInfo) = 0;
 
       virtual void reflectAttributeValues (
          ObjectInstanceHandle theObject,
@@ -253,9 +191,7 @@ namespace rti1516e
          LogicalTime const & theTime,
          OrderType receivedOrder,
          MessageRetractionHandle theHandle,
-         SupplementalReflectInfo theReflectInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReflectInfo theReflectInfo) = 0;
 
       // 6.13
       virtual void receiveInteraction (
@@ -264,9 +200,7 @@ namespace rti1516e
          VariableLengthData const & theUserSuppliedTag,
          OrderType sentOrder,
          TransportationType theType,
-         SupplementalReceiveInfo theReceiveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReceiveInfo theReceiveInfo) = 0;
 
       virtual void receiveInteraction (
          InteractionClassHandle theInteraction,
@@ -276,9 +210,7 @@ namespace rti1516e
          TransportationType theType,
          LogicalTime const & theTime,
          OrderType receivedOrder,
-         SupplementalReceiveInfo theReceiveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReceiveInfo theReceiveInfo) = 0;
 
       virtual void receiveInteraction (
          InteractionClassHandle theInteraction,
@@ -289,18 +221,14 @@ namespace rti1516e
          LogicalTime const & theTime,
          OrderType receivedOrder,
          MessageRetractionHandle theHandle,
-         SupplementalReceiveInfo theReceiveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalReceiveInfo theReceiveInfo) = 0;
 
       // 6.15
       virtual void removeObjectInstance (
          ObjectInstanceHandle theObject,
          VariableLengthData const & theUserSuppliedTag,
          OrderType sentOrder,
-         SupplementalRemoveInfo theRemoveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalRemoveInfo theRemoveInfo) = 0;
 
       virtual void removeObjectInstance (
          ObjectInstanceHandle theObject,
@@ -308,9 +236,7 @@ namespace rti1516e
          OrderType sentOrder,
          LogicalTime const & theTime,
          OrderType receivedOrder,
-         SupplementalRemoveInfo theRemoveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalRemoveInfo theRemoveInfo) = 0;
 
       virtual void removeObjectInstance (
          ObjectInstanceHandle theObject,
@@ -319,83 +245,61 @@ namespace rti1516e
          LogicalTime const & theTime,
          OrderType receivedOrder,
          MessageRetractionHandle theHandle,
-         SupplementalRemoveInfo theRemoveInfo)
-         throw (
-            FederateInternalError) = 0;
+         SupplementalRemoveInfo theRemoveInfo) = 0;
 
       // 6.17
       virtual void attributesInScope (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 6.18
       virtual void attributesOutOfScope (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 6.20
       virtual void provideAttributeValueUpdate (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            FederateInternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 6.21
       virtual void turnUpdatesOnForObjectInstance (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       virtual void turnUpdatesOnForObjectInstance (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         std::wstring const & updateRateDesignator)
-         throw (
-            FederateInternalError) = 0;
+         std::wstring const & updateRateDesignator) = 0;
 
       // 6.22
       virtual void turnUpdatesOffForObjectInstance (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 6.24
       virtual void confirmAttributeTransportationTypeChange (
          ObjectInstanceHandle theObject,
          AttributeHandleSet theAttributes,
-         TransportationType theTransportation)
-         throw (
-            FederateInternalError) = 0;
+         TransportationType theTransportation) = 0;
 
       // 6.26
       virtual void reportAttributeTransportationType (
          ObjectInstanceHandle theObject,
          AttributeHandle theAttribute,
-         TransportationType theTransportation)
-         throw (
-            FederateInternalError) = 0;
+         TransportationType theTransportation) = 0;
 
       // 6.28
       virtual void confirmInteractionTransportationTypeChange (
          InteractionClassHandle theInteraction,
-         TransportationType theTransportation)
-         throw (
-            FederateInternalError) = 0;
+         TransportationType theTransportation) = 0;
 
       // 6.30
       virtual void reportInteractionTransportationType (
          FederateHandle federateHandle,
          InteractionClassHandle theInteraction,
-         TransportationType  theTransportation)
-         throw (
-            FederateInternalError) = 0;
+         TransportationType  theTransportation) = 0;
 
 
       ///////////////////////////////////
@@ -406,66 +310,48 @@ namespace rti1516e
       virtual void requestAttributeOwnershipAssumption (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & offeredAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            FederateInternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.5
       virtual void requestDivestitureConfirmation (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & releasedAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & releasedAttributes) = 0;
 
       // 7.7
       virtual void attributeOwnershipAcquisitionNotification (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & securedAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            FederateInternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.10
       virtual void attributeOwnershipUnavailable (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.11
       virtual void requestAttributeOwnershipRelease (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & candidateAttributes,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            FederateInternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       // 7.16
       virtual void confirmAttributeOwnershipAcquisitionCancellation (
          ObjectInstanceHandle theObject,
-         AttributeHandleSet const & theAttributes)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandleSet const & theAttributes) = 0;
 
       // 7.18
       virtual void informAttributeOwnership (
          ObjectInstanceHandle theObject,
          AttributeHandle theAttribute,
-         FederateHandle theOwner)
-         throw (
-            FederateInternalError) = 0;
+         FederateHandle theOwner) = 0;
 
       virtual void attributeIsNotOwned (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       virtual void attributeIsOwnedByRTI (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            FederateInternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       //////////////////////////////
       // Time Management Services //
@@ -473,27 +359,19 @@ namespace rti1516e
 
       // 8.3
       virtual void timeRegulationEnabled (
-         LogicalTime const & theFederateTime)
-         throw (
-            FederateInternalError) = 0;
+         LogicalTime const & theFederateTime) = 0;
 
       // 8.6
       virtual void timeConstrainedEnabled (
-         LogicalTime const & theFederateTime)
-         throw (
-            FederateInternalError) = 0;
+         LogicalTime const & theFederateTime) = 0;
 
       // 8.13
       virtual void timeAdvanceGrant (
-         LogicalTime const & theTime)
-         throw (
-            FederateInternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.22
       virtual void requestRetraction (
-         MessageRetractionHandle theHandle)
-         throw (
-            FederateInternalError) = 0;
+         MessageRetractionHandle theHandle) = 0;
    };
 }
 
diff --git a/include/ieee1516-2010/RTI/Handle.h b/include/ieee1516-2010/RTI/Handle.h
index 381475ed..26917d7b 100644
--- a/include/ieee1516-2010/RTI/Handle.h
+++ b/include/ieee1516-2010/RTI/Handle.h
@@ -46,7 +46,7 @@ class RTI_EXPORT HandleKind                                       \
    HandleKind ();                                                 \
                                                                   \
    ~HandleKind ()                                                 \
-      throw();                                                    \
+      noexcept;                                                    \
                                                                   \
    HandleKind (                                                   \
       HandleKind const & rhs);                                    \
@@ -86,8 +86,7 @@ class RTI_EXPORT HandleKind                                       \
    /* Alternate encode for directly filling a buffer         */   \
    size_t encode (                                                \
       void* buffer,                                               \
-      size_t bufferSize) const                                    \
-      throw (CouldNotEncode);                                     \
+      size_t bufferSize) const;                                   \
                                                                   \
    size_t encodedLength () const;                                 \
                                                                   \
diff --git a/include/ieee1516-2010/RTI/LogicalTime.h b/include/ieee1516-2010/RTI/LogicalTime.h
index f28f67da..9187f480 100644
--- a/include/ieee1516-2010/RTI/LogicalTime.h
+++ b/include/ieee1516-2010/RTI/LogicalTime.h
@@ -52,46 +52,28 @@ namespace rti1516e
       // Operators
 
       virtual LogicalTime & operator= (
-         LogicalTime const & value)
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) = 0;
 
       virtual LogicalTime & operator+= (
-         LogicalTimeInterval const & addend)
-         throw (
-            IllegalTimeArithmetic,
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & addend) = 0;
 
       virtual LogicalTime & operator-= (
-         LogicalTimeInterval const & subtrahend)
-         throw (
-            IllegalTimeArithmetic,
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & subtrahend) = 0;
 
       virtual bool operator> (
-         LogicalTime const & value) const
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) const = 0;
 
       virtual bool operator< (
-         LogicalTime const & value) const
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) const = 0;
 
       virtual bool operator== (
-         LogicalTime const & value) const
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) const = 0;
 
       virtual bool operator>= (
-         LogicalTime const & value) const
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) const = 0;
 
       virtual bool operator<= (
-         LogicalTime const & value) const
-         throw (
-            InvalidLogicalTime) = 0;
+         LogicalTime const & value) const = 0;
 
       // Generates an encoded value that can be used to send
       // LogicalTimes to other federates in updates or interactions
@@ -100,27 +82,19 @@ namespace rti1516e
       // Alternate encode for directly filling a buffer
       virtual size_t encode (
          void* buffer,
-         size_t bufferSize) const
-         throw (
-            CouldNotEncode) = 0;
+         size_t bufferSize) const = 0;
 
       // The length of the encoded data
       virtual size_t encodedLength () const = 0;
 
       // Decode encodedLogicalTime into self
       virtual void decode (
-         VariableLengthData const & encodedLogicalTime)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         VariableLengthData const & encodedLogicalTime) = 0;
 
       // Alternate decode that reads directly from a buffer
       virtual void decode (
          void* buffer,
-         size_t bufferSize)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         size_t bufferSize) = 0;
 
       // Diagnostic string representation of time
       virtual std::wstring toString () const = 0;
diff --git a/include/ieee1516-2010/RTI/LogicalTimeFactory.h b/include/ieee1516-2010/RTI/LogicalTimeFactory.h
index 5394606f..708b4505 100644
--- a/include/ieee1516-2010/RTI/LogicalTimeFactory.h
+++ b/include/ieee1516-2010/RTI/LogicalTimeFactory.h
@@ -47,57 +47,37 @@ namespace rti1516e
    {
    public:
       virtual ~LogicalTimeFactory ()
-         throw () = 0;
+         noexcept = 0;
 
       // Return a LogicalTime with a value of "initial"
-      virtual std::auto_ptr< LogicalTime > makeInitial()
-         throw (
-            InternalError) = 0;
+      virtual std::auto_ptr< LogicalTime > makeInitial() = 0;
 
       // Return a LogicalTime with a value of "final"
-            virtual std::auto_ptr< LogicalTime > makeFinal()
-         throw (
-            InternalError) = 0;
+            virtual std::auto_ptr< LogicalTime > makeFinal() = 0;
 
       // Return a LogicalTimeInterval with a value of "zero"
-            virtual std::auto_ptr< LogicalTimeInterval > makeZero()
-         throw (
-            InternalError) = 0;
+            virtual std::auto_ptr< LogicalTimeInterval > makeZero() = 0;
 
       // Return a LogicalTimeInterval with a value of "epsilon"
-            virtual std::auto_ptr< LogicalTimeInterval > makeEpsilon()
-         throw (
-            InternalError) = 0;
+            virtual std::auto_ptr< LogicalTimeInterval > makeEpsilon() = 0;
 
       // LogicalTime decode from an encoded LogicalTime
             virtual std::auto_ptr< LogicalTime > decodeLogicalTime (
-         VariableLengthData const & encodedLogicalTime)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         VariableLengthData const & encodedLogicalTime) = 0;
 
       // Alternate LogicalTime decode that reads directly from a buffer
             virtual std::auto_ptr< LogicalTime > decodeLogicalTime (
          void* buffer,
-         size_t bufferSize)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         size_t bufferSize) = 0;
 
       // LogicalTimeInterval decode from an encoded LogicalTimeInterval
       virtual std::auto_ptr< LogicalTimeInterval > decodeLogicalTimeInterval (
-         VariableLengthData const & encodedValue)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         VariableLengthData const & encodedValue) = 0;
 
       // Alternate LogicalTimeInterval decode that reads directly from a buffer
       virtual std::auto_ptr< LogicalTimeInterval > decodeLogicalTimeInterval (
          void* buffer,
-         size_t bufferSize)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         size_t bufferSize) = 0;
 
       // Return the name of the logical time implementation
       virtual std::wstring getName () const = 0;
diff --git a/include/ieee1516-2010/RTI/LogicalTimeInterval.h b/include/ieee1516-2010/RTI/LogicalTimeInterval.h
index 7bfcf038..9f7480fc 100644
--- a/include/ieee1516-2010/RTI/LogicalTimeInterval.h
+++ b/include/ieee1516-2010/RTI/LogicalTimeInterval.h
@@ -52,54 +52,33 @@ namespace rti1516e
       // Operators
 
       virtual LogicalTimeInterval & operator= (
-         LogicalTimeInterval const & value)
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) = 0;
 
       virtual LogicalTimeInterval & operator+= (
-         LogicalTimeInterval const & addend)
-         throw (
-            IllegalTimeArithmetic,
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & addend) = 0;
 
       virtual LogicalTimeInterval & operator-= (
-         LogicalTimeInterval const & subtrahend)
-         throw (
-            IllegalTimeArithmetic,
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & subtrahend) = 0;
 
       virtual bool operator> (
-         LogicalTimeInterval const & value) const
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) const = 0;
 
       virtual bool operator< (
-         LogicalTimeInterval const & value) const
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) const = 0;
 
       virtual bool operator== (
-         LogicalTimeInterval const & value) const
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) const = 0;
 
       virtual bool operator>= (
-         LogicalTimeInterval const & value) const
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) const = 0;
 
       virtual bool operator<= (
-         LogicalTimeInterval const & value) const
-         throw (
-            InvalidLogicalTimeInterval) = 0;
+         LogicalTimeInterval const & value) const = 0;
 
       // Set self to the difference between two LogicalTimes
       virtual void setToDifference (
          LogicalTime const & minuend,
-         LogicalTime const& subtrahend)
-         throw (
-            IllegalTimeArithmetic,
-            InvalidLogicalTime) = 0;
+         LogicalTime const& subtrahend) = 0;
 
       // Generates an encoded value that can be used to send
       // LogicalTimeIntervals to other federates in updates or interactions
@@ -108,27 +87,19 @@ namespace rti1516e
       // Alternate encode for directly filling a buffer
       virtual size_t encode (
          void* buffer,
-         size_t bufferSize) const
-         throw (
-            CouldNotEncode) = 0;
+         size_t bufferSize) const = 0;
 
       // The length of the encoded data
       virtual size_t encodedLength () const = 0;
 
       // Decode encodedValue into self
       virtual void decode (
-         VariableLengthData const & encodedValue)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         VariableLengthData const & encodedValue) = 0;
 
       // Alternate decode that reads directly from a buffer
       virtual void decode (
          void* buffer,
-         size_t bufferSize)
-         throw (
-            InternalError,
-            CouldNotDecode) = 0;
+         size_t bufferSize) = 0;
 
       // Diagnostic string representation of time interval
       virtual std::wstring toString () const = 0;
